Skip to content

Unbind Social Account (by Social Type) API

Used to unbind a social account. On success, a success message is returned; on failure, error information is returned.

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
AuthorizationIDtoken returned by the user login API. Format is Bearer {id_token}YesStringBearer eyJraWQiOiI1ZWZhN2ZmZDA2Z...

Request Example

json
{
    "social_uid": "001GKgGa15HGZA0aOxIa1bFktp1GKgG4",
    "social_type": "weixin"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
social_uidSocial UidYesStringUser uid returned by the social source during social authentication
social_typeSocial typeYesStringweixin : WeChat, WeChat Mini Program
wechat_work : WeChat Work
qq : QQ
google : Google
weibo : Weibo
facebook : Facebook
alipay : Alipay
douyin: Douyin

Response Example

Success Example

HTTP/1.1 200 OK

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "SDK.COMMON.1007",
    "error_msg": "state_token parameter error"
}

Response Parameters

None

BambooCloud IDaaS Open Platform